Get one local catalog

get

/fscmRestApi/resources/11.13.18.05/localCatalogs/{CatalogId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : localCatalogs-item-response
Type: object
Show Source
  • Title: Agreement Dimension
    Maximum Length: 20
    Default Value: INCLUDE_ALL
    Indicates whether all or specific agreements are included or excluded from the catalog. Valid values are INCLUDE_ALL, INCLUDE_SPECIFIC, EXCLUDE_SPECIFIC, EXCLUDE_SOURCED. These values stand for include all agreements, include specific agreements, exclude specific agreements, and exclude all items sourced through agreements, respectively.
  • Agreements
    Title: Agreements
    Agreements that are specifically included in or excluded from the local catalog.
  • Title: Description
    Maximum Length: 240
    Description of the catalog.
  • Read Only: true
    Unique identifier of the catalog.
  • Title: Catalog Name
    Maximum Length: 30
    Name of the local catalog.
  • Title: Catalog Type
    Read Only: true
    Maximum Length: 80
    Type of the catalog.
  • Read Only: true
    Maximum Length: 15
    Default Value: LOCAL
    Code that identifies the catalog type. Value is always LOCAL.
  • Categories
    Title: Categories
    Categories that are specifically included in or excluded from the local catalog.
  • Title: Category Dimension
    Maximum Length: 20
    Default Value: INCLUDE_ALL
    Indicates whether items from all or specific categories are included or excluded from the catalog. Valid values are INCLUDE_ALL, INCLUDE_SPECIFIC, EXCLUDE_SPECIFIC. These values stand for include items from all categories, include items from specific categories, exclude items from specific categories, respectively.
  • Title: Created By
    Read Only: true
    Maximum Length: 64
    User who created the local catalog.
  • Title: Creation Date
    Read Only: true
    The date when the local catalog was created.
  • Title: Include all master items
    Maximum Length: 1
    Default Value: false
    Indicates whether the catalog includes all master items. Contains one of the following values: true or false. If true, then the catalog includes master items. If false, then the catalog doesn't include master items. This attribute doesn't have a default value.
  • Title: Last Updated Date
    Read Only: true
    The date when the local catalog was last updated.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 64
    User who last updated the local catalog.
  • Links
  • Title: Procurement BU
    Maximum Length: 240
    Procurement business unit in which the catalog is created.
  • Unique identifier of the procurement business unit in which the catalog is created.
Nested Schema : Agreements
Type: array
Title: Agreements
Agreements that are specifically included in or excluded from the local catalog.
Show Source
Nested Schema : Categories
Type: array
Title: Categories
Categories that are specifically included in or excluded from the local catalog.
Show Source
Nested Schema : localCatalogs-agreements-item-response
Type: object
Show Source
Nested Schema : localCatalogs-categories-item-response
Type: object
Show Source
Back to Top